Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ObjectReferenceTemplateC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CI_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CI_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::ObjectReferenceFactory *)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceFactory *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::ObjectReferenceTemplate *)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceTemplate *&)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const PortableInterceptor::ObjectReferenceTemplateSeq &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceTemplateSeq &)

## Define Documentation

#define __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CI_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CI_

## Function Documentation

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceTemplate * | _tao_valuetype
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceFactory * | _tao_valuetype
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceFactory *& | _tao_valuetype
| ) |